package com.spider.quartz.mapper;


import com.spider.quartz.domain.JapanUnqualifiedGoods;

import java.util.Date;
import java.util.List;

/**
 * 日本不合格商品展示Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-26
 */
public interface JapanUnqualifiedGoodsMapper 
{
    /**
     * 查询日本不合格商品展示
     * 
     * @param id 日本不合格商品展示主键
     * @return 日本不合格商品展示
     */
    public JapanUnqualifiedGoods selectJapanUnqualifiedGoodsById(Long id);

    /**
     * 查询日本不合格商品展示列表
     * 
     * @param japanUnqualifiedGoods 日本不合格商品展示
     * @return 日本不合格商品展示集合
     */
    public List<JapanUnqualifiedGoods> selectJapanUnqualifiedGoodsList(JapanUnqualifiedGoods japanUnqualifiedGoods);

    /**
     * 新增日本不合格商品展示
     * 
     * @param japanUnqualifiedGoods 日本不合格商品展示
     * @return 结果
     */
    public int insertJapanUnqualifiedGoods(JapanUnqualifiedGoods japanUnqualifiedGoods);

    /**
     * 修改日本不合格商品展示
     * 
     * @param japanUnqualifiedGoods 日本不合格商品展示
     * @return 结果
     */
    public int updateJapanUnqualifiedGoods(JapanUnqualifiedGoods japanUnqualifiedGoods);

    /**
     * 删除日本不合格商品展示
     * 
     * @param id 日本不合格商品展示主键
     * @return 结果
     */
    public int deleteJapanUnqualifiedGoodsById(Long id);

    /**
     * 批量删除日本不合格商品展示
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJapanUnqualifiedGoodsByIds(Long[] ids);

    Date selectLatestRecallTime();

    List<JapanUnqualifiedGoods> selectFailedGoods();
}
